## ledger-mode 3.1.2~pre2+g3ec8506e

=== test/Makefile ===
EMACS ?= emacs
EMACS_FLAGS = --quick --directory . --directory ..
EMACS_BATCH = $(EMACS) --batch $(EMACS_FLAGS)
EMACS_INTERACTIVE = $(EMACS) $(EMACS_FLAGS)

EL  := $(wildcard *.el)
ELC := $(patsubst %.el,%.elc,$(EL))
ERT := $(filter-out test-helper.el,$(EL))

CHECKDOC_BATCH_EL := ../tools/checkdoc-batch.el

.PHONY: all
all: compile test

%.elc: %.el
	$(EMACS_BATCH) --eval "(progn (setq byte-compile-error-on-warn (>= emacs-major-version 25)) (batch-byte-compile))" $<

.PHONY: test
test: test-interactive test-batch

.PHONY: test-interactive
test-interactive: compile
	$(EMACS_INTERACTIVE) $(addprefix --load ,$(ERT)) --eval "(ert-run-tests-interactively (quote (tag interactive)))"

.PHONY: test-batch
test-batch: compile
	$(EMACS_BATCH) $(addprefix --load ,$(ERT)) --eval "(ert-run-tests-batch-and-exit (quote (not (tag interactive))))"

.PHONY: compile
compile: $(ELC)

.PHONY: clean
clean:
	rm -f $(ELC)

.PHONY: distclean
distclean: clean
	rm -f $(CHECKDOC_BATCH_EL)

$(CHECKDOC_BATCH_EL):
	wget --no-verbose https://download.tuxfamily.org/user42/checkdoc-batch.el --output-document=$(CHECKDOC_BATCH_EL)

.PHONY: checkdoc
checkdoc: $(CHECKDOC_BATCH_EL)
	$(EMACS_BATCH) --load $(CHECKDOC_BATCH_EL) --funcall checkdoc-batch-commandline $(EL) | grep -E "el:[0-9]+:[0-9]+:" && exit 1 || exit 0

# Enables `make ledger-fontify/test-003`
define ERTDEFTEST
.PHONY: $(ERTDEF)
$(ERTDEF):
	$(EMACS_BATCH) --load $(ERTFILE) --eval "(ert-run-tests-batch-and-exit (quote $(ERTDEF)))"
endef
$(foreach ERTFILE,$(ERT),$(foreach ERTDEF,$(shell grep ert-deftest $(ERTFILE)|cut -d ' ' -f 2),$(eval $(ERTDEFTEST))))

=== debian/changelog ===
ledger-mode (3.1.2~pre2+g3ec8506e-2) unstable; urgency=medium

  * Split from source package ledger, built from ledger-mode repo.
  * New upstream snapshot.
  * Switch maintainer to emacsen-addons team.

 -- David Bremner <bremner@debian.org>  Wed, 06 Feb 2019 08:35:39 -0400

=== debian/control ===
Source: ledger-mode
Section: lisp
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: David Bremner <bremner@debian.org>
Build-Depends: debhelper (>= 10),
 dh-elpa, ledger <!nocheck>
Standards-Version: 4.1.5
Testsuite: autopkgtest-pkg-elpa

Package: elpa-ledger
Architecture: all
Depends: ${misc:Depends}, ${elpa:Depends}
Conflicts: emacsen-common (<< 2.0.0)
Breaks: ledger (<< 3.0.0~20140226+bedae81+dfsg1-2)
Replaces: ledger (<< 3.0.0~20140226+bedae81+dfsg1-2)
Suggests: ledger
Enhances: ledger
Description: command-line double-entry accounting program (emacs interface)
 Ledger is a powerful and flexible double-entry accounting system run
 entirely from the command line.  Your accounts ledger is stored in one or
 more plain-text files with a very simple and readable format, and ledger
 does the hard work of balancing your books and reporting.
 .
 This package provides the emacs interface.

Package: ledger-el
Architecture: all
Section: oldlibs
Depends: ${misc:Depends}, elpa-ledger
Description: command-line double-entry accounting program (emacs interface)
 .
 This is a transitional package, and can safely be removed.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_auto_configure:
        # don't run cmake

## ledger-mode 3.1.2~pre3+g5067e408

=== debian/changelog ===
ledger-mode (3.1.2~pre3+g5067e408-2) unstable; urgency=medium

  * upload to unstable
  * Assert compliance with policy 4.4.0 (no changes)

 -- David Bremner <bremner@debian.org>  Sat, 14 Sep 2019 12:31:49 -0300

ledger-mode (3.1.2~pre3+g5067e408-1) experimental; urgency=medium

  * use dh_elpa 2.x
  * new upstream snapshot
  * drop transitional package ledger-el

 -- David Bremner <bremner@debian.org>  Sat, 07 Sep 2019 14:51:14 -0300

ledger-mode (3.1.2~pre2+g3ec8506e-3) unstable; urgency=medium

  * Fix Vcs-*
  * Rebuild with current dh-elpa

 -- David Bremner <bremner@debian.org>  Tue, 03 Sep 2019 22:34:47 -0300

=== debian/watch ===
version=4
opts="filenamemangle=s/(?:.*?)?v?(\d[\d.]*)\.tar\.gz/ledger-mode.git-$1.tar.gz/" \
    https://github.com/ledger/ledger-mode.git/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## ledger-mode 4.0.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.6)

set(EMACS_LISP_SOURCES
  ledger-check.el
  ledger-commodities.el
  ledger-complete.el
  ledger-context.el
  ledger-exec.el
  ledger-fontify.el
  ledger-fonts.el
  ledger-init.el
  ledger-mode.el
  ledger-navigate.el
  ledger-occur.el
  ledger-post.el
  ledger-reconcile.el
  ledger-regex.el
  ledger-report.el
  ledger-schedule.el
  ledger-sort.el
  ledger-state.el
  ledger-test.el
  ledger-texi.el
  ledger-xact.el)

# find emacs and complain if not found
find_program(EMACS_EXECUTABLE emacs)

macro(add_emacs_lisp_target el)
  configure_file(${el} ${CMAKE_CURRENT_BINARY_DIR}/${el})

  # add rule (i.e. command) how to generate the byte-compiled file
  add_custom_command(
    OUTPUT ${el}c
    COMMAND ${EMACS_EXECUTABLE}
            -L ${CMAKE_CURRENT_BINARY_DIR}
            -l ${CMAKE_CURRENT_BINARY_DIR}/ledger-regex.el
            -batch -f batch-byte-compile
             ${CMAKE_CURRENT_BINARY_DIR}/${el}
    DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/${el}
    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
    COMMENT "Creating byte-compiled Emacs lisp ${CMAKE_CURRENT_BINARY_DIR}/${el}c")
endmacro(add_emacs_lisp_target el)

if (EMACS_EXECUTABLE)
  foreach(el ${EMACS_LISP_SOURCES})
    add_emacs_lisp_target(${el})
    list(APPEND EMACS_LISP_BINARIES ${CMAKE_CURRENT_BINARY_DIR}/${el}c)
  endforeach()

  add_custom_target(emacs_lisp_byte_compile ALL DEPENDS ${EMACS_LISP_BINARIES})

  # install the byte-compiled emacs-lisp sources
  install(FILES ${EMACS_LISP_SOURCES} ${EMACS_LISP_BINARIES}
    DESTINATION share/emacs/site-lisp/ledger-mode)
endif()

### CMakeLists.txt ends here

=== test/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 EMACS ?= emacs
 EMACS_FLAGS = --quick --directory . --directory ..
-EMACS_BATCH = $(EMACS) --batch $(EMACS_FLAGS)
-EMACS_INTERACTIVE = $(EMACS) $(EMACS_FLAGS)
+EMACS_BATCH = "$(EMACS)" --batch $(EMACS_FLAGS)
+EMACS_INTERACTIVE = "$(EMACS)" $(EMACS_FLAGS)
 
 EL  := $(wildcard *.el)
 ELC := $(patsubst %.el,%.elc,$(EL))

=== debian/changelog ===
ledger-mode (4.0.0-1) unstable; urgency=medium

  * New upstream release
  * Bug fix: "Breaks upgrade to Emacs 28.1", thanks to intrigeri (Closes:
    #1017776).
  * disable test ledger-complete/test-ledger-accounts-exclude-function,
    known to fail in batch mode.

 -- David Bremner <bremner@debian.org>  Sun, 04 Sep 2022 09:15:15 -0300

ledger-mode (3.1.2~pre3+g5067e408-3) unstable; urgency=medium

  [ Nicholas D Steeves ]
  * Load test/test-helper.el from debian/elpa-test using ert_eval.
  * Add test/test-helper.el to autopkgtest_keep in elpa-test.

  [ David Bremner ]
  * add Depends: emacs, ledger to debian/control/tests

 -- David Bremner <bremner@debian.org>  Sun, 15 Sep 2019 09:58:00 -0300

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,11 @@
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: David Bremner <bremner@debian.org>
 Build-Depends: debhelper (>= 10),
- dh-elpa, ledger <!nocheck>
-Standards-Version: 4.1.5
+ dh-elpa (>= 2.0), ledger <!nocheck>
+Standards-Version: 4.4.0
 Testsuite: autopkgtest-pkg-elpa
+Vcs-Git: https://salsa.debian.org/emacsen-team/ledger-mode.git
+Vcs-Browser: https://salsa.debian.org/emacsen-team/ledger-mode
 
 Package: elpa-ledger
 Architecture: all
@@ -23,11 +25,3 @@
  does the hard work of balancing your books and reporting.
  .
  This package provides the emacs interface.
-
-Package: ledger-el
-Architecture: all
-Section: oldlibs
-Depends: ${misc:Depends}, elpa-ledger
-Description: command-line double-entry accounting program (emacs interface)
- .
- This is a transitional package, and can safely be removed.
